import r, { useState as l } from "react";
function o({ children: t, freeze: e }) {
  let n = u(e, t);
  return r.createElement(r.Fragment, null, n);
}
function u(t, e) {
  let [n, a] = l(e);
  return !t && n !== e && a(e), t ? n : e;
}
export {
  o as Frozen,
  u as useFrozenData
};
